import { AxeResults } from 'axe-core';
export declare type Options = {
    pageLimit: number;
    maxRetries?: number;
    ignoreFragmentLinks?: boolean;
    ignoreExtensions?: Array<string>;
    routeManifestPath?: string;
    streaming?: boolean;
};
/**
 * The core function that runs assertions on the provided URLs, but does not touch the filesystem.
 * Used as the main export of the module, for programatic use.
 */
export declare function runCore(rootURL: URL, opts: Options): Promise<{
    results: AxeResults[];
    state: {
        entry: string;
        options: Options;
        run: number;
        routes: any;
        pagesVisited: string[];
        routesVisited: string[];
        toVisit: string[];
    };
}>;
