"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("./core");
const fs_1 = __importDefault(require("fs"));
const util_1 = require("util");
const logger_1 = require("./logger");
const writeFile = util_1.promisify(fs_1.default.writeFile);
const log = logger_1.logger.child({ module: 'core' });
async function main() {
    const rootURL = new URL('https://worldtour.fiba3x3.com/2018');
    const opts = {
        pageLimit: 5,
    };
    const { results, state } = await core_1.runCore(rootURL, opts);
    await writeFile('report.json', JSON.stringify(results, null, 2), 'utf8');
    // Write reports and state
    // Generate some sort of id for the run
    const runId = Date.now();
    const reportFileName = `report-${runId}.json`;
    const stateFileName = `state-${runId}.json`;
    // Write report
    await writeFile(reportFileName, JSON.stringify(results, null, 2), 'utf8');
    log.info(`Wrote ${reportFileName}`);
    await writeFile(stateFileName, JSON.stringify(state, null, 2), 'utf8');
    log.info(`Wrote ${stateFileName}`);
}
main().then(x => console.log('Done'));
//# sourceMappingURL=external.js.map