"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("./logger");
// Create a logger for results. This is the one that gets consumed by streaming reporters.
const resultLog = logger_1.logger.child({ module: 'results' });
//
// Possible messages
// TODO: Define the Msg type here
function sendInProgress(href, streaming) {
    if (streaming) {
        resultLog.info({ msg: 'InProgress', href });
    }
}
exports.sendInProgress = sendInProgress;
function sendWroteReportFile(filename, streaming) {
    if (streaming) {
        resultLog.info({
            msg: 'DisplayInfo',
            description: `Wrote the report to ${filename}. You can view it again with\n\`$ accessible-pipeline view --file ${filename}\`.`,
        });
    }
}
exports.sendWroteReportFile = sendWroteReportFile;
function sendWroteStateFile(filename, streaming) {
    if (streaming) {
        resultLog.info({
            msg: 'DisplayInfo',
            description: `Wrote the state to ${filename}. It might me useful if you want to debug which pages were visited.`,
        });
    }
}
exports.sendWroteStateFile = sendWroteStateFile;
function sendGotResults(results, streaming) {
    // Write to the results stream, after rewriting results to only keep the node targets
    // Helps avoid some odd edge cases where the JSON breaks parsing when piping, because of the HTML content
    // TODO: Declare StreamingAxeResults type, which matches the shape we actually send.
    if (streaming) {
        resultLog.info({
            msg: 'GotResults',
            results: Object.assign({}, results, { violations: results.violations.map(violation => (Object.assign({}, violation, { nodes: violation.nodes.map(node => ({
                        // Only keep the target, since that's what we report on
                        target: node.target,
                    })) }))), passes: results.passes.map(pass => (Object.assign({}, pass, { nodes: pass.nodes.map(node => ({
                        // Only keep the target, since that's what we report on
                        target: node.target,
                    })) }))), incomplete: results.incomplete.map(violation => (Object.assign({}, violation, { nodes: violation.nodes.map(node => ({
                        // Only keep the target, since that's what we report on
                        target: node.target,
                    })) }))), inapplicable: results.inapplicable.map(violation => (Object.assign({}, violation, { nodes: violation.nodes.map(node => ({
                        // Only keep the target, since that's what we report on
                        target: node.target,
                    })) }))) }),
        });
    }
}
exports.sendGotResults = sendGotResults;
//# sourceMappingURL=streaming.js.map